.\"	$NetBSD: swwdog.4,v 1.2 2005/01/11 11:32:11 wiz Exp $
.\"
.\" Copyright (c) 2004, 2005 Steven M. Bellovin
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"        This product includes software developed by the NetBSD
.\"        Foundation, Inc. and its contributors.
.\" 4. Neither the name of the author nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 6, 2005
.\" Written by Steven M. Bellovin
.Dt SWWDOG 4
.Os
.Sh NAME
.Nm swwdog
.Nd software watchdog timer
.Sh SYNOPSIS
.Cd "pseudo-device swwdog" Op Ar count
.Sh DESCRIPTION
The
.Nm
driver provides a software watchdog timer that works with
.Xr wdogctl 8 .
If the timer expires, the system reboots unless the variable
.Va swwdog_panic
is non-zero; if it is, the system will panic instead.
.Pp
The default period of
.Nm
is 60 seconds.
.Sh SEE ALSO
.Xr wdogctl 8
.Sh HISTORY
The
.Nm
driver was written by
.An Steven M. Bellovin .
.Sh BUGS
Although more than one
.Nm
timer can be configured, it's a pointless thing to do, since only
one watchdog timer can be active at any given time.
Arguably, this is a bug in the watchdog timer framework.
.Pp
Kernel tickle mode is useless with
.Nm
and arguably should be rejected, since both it and
this driver rely on the same callout mechanism; if one is
blocked, almost certainly the other is as well.
.Pp
The alarm option to
.Xr wdogctl 8
isn't implemented.
